Subject: Re: bug#21132: 25.0.50; Emacs on Windows crashes evaluating x-frame-geometry in batch mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jul 2015 17:53:42 +0300

> Date: Sun, 26 Jul 2015 13:27:40 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> And do we prefer (FRAME_W32_WINDOW (f) != 0) to (!FRAME_W32_WINDOW (f))?
>  >
>  > We prefer !FRAME_W32_P (f)
> 
> x_set_foreground_color, x_set_background_color and x_set_mouse_color use
> 
> if (FRAME_W32_WINDOW (f) != 0)
> 
> Should these be changed?

No, I don't think so, because these are handlers for w32 frame
parameters, and I see no way they could be called from Lisp, except in
that context.  Am I missing something?

> In x_change_tool_bar_height and w32_set_title_bar_text we use
> 
> if (FRAME_W32_WINDOW (f))
> 
> Should these be changed too?

No, for the same reasons.

>  >>   > I believe similar changes are needed in xfns.c and in nsfns.m, could
>  >>   > someone with access to the relevant OSes please check and apply?
>  >>
>  >> I'll look into these.
> 
> I fixed these hopefully.  The Gtk build always crashed when invoked with
> -nw so I now have `x-frame-geometry' return nil for terminal frames.

Thanks.